#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module dateutil
Summary:	Extensions to the standard Python datetime module
Summary(pl.UTF-8):	Rozszerzenia modułu datetime języka Python
Name:		python-dateutil
Version:	2.2
Release:	2
License:	BSD
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/p/python-dateutil/python-%{module}-%{version}.tar.gz
# Source0-md5:	c1f654d0ff7e33999380a8ba9783fd5c
Patch0:		system-zoneinfo.patch
URL:		http://labix.org/python-dateutil
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-six
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-six
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 0.219
Requires:	python-six
Requires:	tzdata >= 2013h
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The dateutil module provides powerful extensions to the standard
datetime module, available in Python 2.3+. Allows:
- computing of relative deltas (next month, next year, next monday,
  last week of month, etc),
- computing of dates based on very flexible recurrence rules, using a
  superset of the [WWW] iCalendar specification,
- parsing of RFC strings,
- peneric parsing of dates in almost any string format.

This package contains Python 2.x module.

%description -l pl.UTF-8
Moduł dateutil jest potężnym rozszerzeniem standardowego modułu
datetime, dostępnego w Pythonie 2.3+. Pozwala na:
- obliczanie relatywnych różnic (następny miesiąc, rok, poniedziałek,
  ostatni tydzień miesiąca itp.),
- obliczanie dat w oparciu o bardzo elastyczne rekurencyjne zasady, z
  użyciem nadzbioru specyfikacji [WWW] iCalendar,
- analizę łańcuchow znakowych RFC,
- analizę dat w prawie każdym formacie.

Ten pakiet zawiera moduł Pythona 2.x.

%package -n python3-dateutil
Summary:	Extensions to the standard Python datetime module
Summary(pl.UTF-8):	Rozszerzenia modułu datetime języka Python
Group:		Libraries/Python
Requires:	python3-six
Requires:	tzdata >= 2013h

%description -n python3-dateutil
The dateutil module provides powerful extensions to the standard
datetime module, available in Python 2.3+. Allows:
- computing of relative deltas (next month, next year, next monday,
  last week of month, etc),
- computing of dates based on very flexible recurrence rules, using a
  superset of the [WWW] iCalendar specification,
- parsing of RFC strings,
- peneric parsing of dates in almost any string format.

This package contains Python 3.x module.

%description -n python3-dateutil -l pl.UTF-8
Moduł dateutil jest potężnym rozszerzeniem standardowego modułu
datetime, dostępnego w Pythonie 2.3+. Pozwala na:
- obliczanie relatywnych różnic (następny miesiąc, rok, poniedziałek,
  ostatni tydzień miesiąca itp.),
- obliczanie dat w oparciu o bardzo elastyczne rekurencyjne zasady, z
  użyciem nadzbioru specyfikacji [WWW] iCalendar,
- analizę łańcuchow znakowych RFC,
- analizę dat w prawie każdym formacie.

Ten pakiet zawiera moduł Pythona 3.x.

%prep
%setup -q
%patch0 -p1

%build
%if %{with python2}
%{__python} setup.py build --build-base build-2
%endif

%if %{with python3}
%{__python3} setup.py build --build-base build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build --build-base build-2 \
	install \
		--skip-build \
		--optimize=2 \
		--root=$RPM_BUILD_ROOT

%py_postclean

# NOTE: Not sure but seems zoneinfo is needed under windows only
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/dateutil/zoneinfo
%endif

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	install \
		--skip-build \
		--optimize=2 \
		--root=$RPM_BUILD_ROOT

# NOTE: Not sure but seems zoneinfo is needed under windows only
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/dateutil/zoneinfo
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%{py_sitescriptdir}/dateutil
%{py_sitescriptdir}/python_dateutil-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-dateutil
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%{py3_sitescriptdir}/dateutil
%{py3_sitescriptdir}/python_dateutil-%{version}-py*.egg-info
%endif
%changelog
* Sat Nov 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-dateutil.git;a=log;h=master

* Sat Nov 22 2014 Jan Rękorajski <baggins@pld-linux.org> ce83b0d
- rel 2

* Sun Oct 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 3bd4f36
- now we can build python3 package from this spec

* Sun Oct 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 8665830
- updated to 2.2, now works again with python 2.x (2.6+, with six)
- updated system-zoneinfo patch

* Mon Jun 24 2013 Jan Rękorajski <baggins@pld-linux.org> 5707661
- release 4 (by relup.sh)

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 07c95c9
- system tzdata patch from fedora. just in case

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> fbb0836
- build noarch; rebuild for fixed pythoneggs

* Wed May 25 2011 cieciwa <cieciwa@pld-linux.org> b92543a
- updated MD5 sum.

* Wed May 25 2011 cieciwa <cieciwa@pld-linux.org> 9ede274
- back to 1.5 version, 2.0 in python-dateutil2.spec.

* Sun May 22 2011 wrobell <wrobell@pld-linux.org> 143a32c
- compile with python 3 properly (package for python 2.x needs to be done)

* Sun May 22 2011 wrobell <wrobell@pld-linux.org> 69396a3
- ver. 2.0

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9dc88c1
- release 5

* Wed Oct 28 2009 Elan Ruusamäe <glen@pld-linux.org> b614a92
- package egg; rel 4

* Wed Oct 28 2009 Elan Ruusamäe <glen@pld-linux.org> b00980d
- release 3

* Wed Oct 28 2009 Elan Ruusamäe <glen@pld-linux.org> 4c88eeb
- cleanups

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> aa7cf47
- release 2

* Fri Feb 22 2008 wrobell <wrobell@pld-linux.org> acdac6d
- ver. 1.3

* Sun Aug 12 2007 wrobell <wrobell@pld-linux.org> d7e634e
- tabs

* Wed Aug 01 2007 Jakub Krajniak <jkrajniak@gmail.com> f1cf5c8
- up to 1.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4edbeb3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fc87203
- converted to UTF-8

